Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.detection.multicast
Class MulticastDetector

    java.lang.Object
      org.jboss.remoting.detection.AbstractDetector
          org.jboss.remoting.detection.multicast.MulticastDetector

All Implemented Interfaces:
  AbstractDetectorMBean, Detector, javax.management.MBeanRegistration, MulticastDetectorMBean

public class MulticastDetector
extends AbstractDetector
implements MulticastDetectorMBean

MulticastDetector

Version:
  $Revision: 1.7 $
Author:
  Jeff Haynie, Adrian Brock

Field Summary
`static String` | `DEFAULT_IP`
`static int` | `DEFAULT_PORT`

Fields inherited from class org.jboss.remoting.detection.AbstractDetector
`DETECTOR_DEBUG, log, mbeanserver, objectName, registryObjectName`

Constructor Summary
`MulticastDetector()`

Method Summary
`InetAddress` | `getAddress()` return the multicast address of the detector
`InetAddress` | `getBindAddress()` return the bind address of the detector
`int` | `getPort()` get the port that the detector is multicasting to
`protected void` | `heartbeat()` subclasses must implement to provide the specific heartbeat protocol for this server to send out to other servers on the network
`void` | `setAddress(InetAddress ip)` set the interface address of the multicast
`void` | `setBindAddress(InetAddress ip)` set the bind address of the multicast
`void` | `setPort(int port)` set the port for detections to be multicast to
`void` | `start()` called by MBeanServer to start the mbean lifecycle
`void` | `stop()` called by the MBeanServer to stop the mbean lifecycle

Methods inherited from class org.jboss.remoting.detection.AbstractDetector
`checkInvokerServer, detect, getConfiguration, getHeartbeatDelay, getHeartbeatPeriod, getPingerDelay, getPingerPeriod, isRemoteDetection, postDeregister, postRegister, preDeregister, preRegister, setConfiguration, startHeartbeat, startPinger, stopHeartbeat, stopPinger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_IP

    public static final String DEFAULT_IP

See Also:
  Constant Field Values

Constructor Detail

### MulticastDetector

    public MulticastDetector()

Method Detail

### getAddress

    public InetAddress getAddress()

  return the multicast address of the detector

  Specified by:
    `getAddress` in interface `MulticastDetectorMBean`
  Returns:

### setAddress

    public void setAddress(InetAddress ip)

  set the interface address of the multicast

  Specified by:
    `setAddress` in interface `MulticastDetectorMBean`
  Parameters:
    `ip` -

### getBindAddress

    public InetAddress getBindAddress()

  return the bind address of the detector

  Specified by:
    `getBindAddress` in interface `MulticastDetectorMBean`
  Returns:

### setBindAddress

    public void setBindAddress(InetAddress ip)

  set the bind address of the multicast

  Specified by:
    `setBindAddress` in interface `MulticastDetectorMBean`
  Parameters:
    `ip` -

### getPort

    public int getPort()

  get the port that the detector is multicasting to

  Specified by:
    `getPort` in interface `MulticastDetectorMBean`
  Returns:

### setPort

    public void setPort(int port)

  set the port for detections to be multicast to

  Specified by:
    `setPort` in interface `MulticastDetectorMBean`
  Parameters:
    `port` -

### start

    public void start()
               throws Exception

  called by MBeanServer to start the mbean lifecycle

  Specified by:
    `start` in interface `Detector`
  Overrides:
    `start` in class `AbstractDetector`
  Throws:
    `Exception`

### stop

    public void stop()
              throws Exception

  called by the MBeanServer to stop the mbean lifecycle

  Specified by:
    `stop` in interface `Detector`
  Overrides:
    `stop` in class `AbstractDetector`
  Throws:
    `Exception`

### heartbeat

    protected void heartbeat()

  subclasses must implement to provide the specific heartbeat protocol for this server to send out to other servers on the network

  Specified by:
    `heartbeat` in class `AbstractDetector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.